> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant Type

> Change tenant type (business/developer/admin).

**Tenant Types:**
- `business`: Uses platform API keys (default)
- `developer`: Can bring their own API keys (BYOK)
- `admin`: Internal admin access



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json put /admin/tenants/{tenant_id}/type
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /admin/tenants/{tenant_id}/type:
    put:
      tags:
        - admin
      summary: Update Tenant Type
      description: |-
        Change tenant type (business/developer/admin).

        **Tenant Types:**
        - `business`: Uses platform API keys (default)
        - `developer`: Can bring their own API keys (BYOK)
        - `admin`: Internal admin access
      operationId: update_tenant_type_admin_tenants__tenant_id__type_put
      parameters:
        - name: tenant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tenant Id
        - name: tenant_type
          in: query
          required: true
          schema:
            type: string
            description: 'New type: business, developer, admin'
            title: Tenant Type
          description: 'New type: business, developer, admin'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````